<template>
  <nav id="nav" class="navbar navbar-expand-lg navbar-light">
    <div class="container-fluid">
      <button
        class="burger-btn navbar-toggler"
        data-bs-toggle="collapse"
        data-bs-target="#navbarTogglerDemo01"
        aria-controls="navbarTogglerDemo01"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
        <div class="emptydiv"></div>
        <div class="hsearch">
          <div class="search-inp">
            <input type="text" class="search" placeholder="Search" />
          </div>
          <div class="search-btn">
            <img src="@/assets/profile/hsearch.svg" />
          </div>
        </div>
        <div class="prof-opt">
          <a href="#" class="profile-link">
            <div class="profile-btn">
              <img src="@/assets/mobMenu/user.png" class="profAvatar" />
              <span>{{ userName }}</span>
            </div>
          </a>
          <div class="h-btn" @click="openBox1">
            <img src="@/assets/profile/bell.svg" />
          </div>
          <div class="h-btn" @click="openBox2">
            <img src="@/assets/profile/more.svg" />
          </div>
        </div>
      </div>
    </div>
  </nav>
</template>
<script>
export default {
  data() {
    return {
      userName: this.$store.state.ProfData.name,
    };
  },
  methods: {
    openBox1() {
      this.$store.state.profSettings = false;
      this.$store.state.profNotify = !this.$store.state.profNotify;
    },
    openBox2() {
      this.$store.state.profNotify = false;
      this.$store.state.profSettings = !this.$store.state.profSettings;
    },
  },
};
</script>
<style scoped lang="scss">
@import "profHeader.scss";
</style>